---
title: Introduction
---

# {% $markdoc.frontmatter.title %}

Nixpacks takes a source directory and produces an OCI compliant image that can be deployed anywhere. The project was started by [Railway](https://railway.app) and is open source on [GitHub](https://github.com/railwayapp/nixpacks).

The core principles of Nixpacks are

- ✨ **Intuitive defaults**: In most cases, building and deploying an app with Nixpacks should _just work_ with no configuration needed.
- ⚙️ **Customizable**: Every part of the pipeline should be configurable. These include the [Nix packages](https://search.nixos.org/packages) to add to the environment and build/start commands.
- 🚀 **Easily extendible**: New providers (languages) should be able to be easily added to nixpacks with minimal knowledge of Nix and Docker.

[Get started with Nixpacks](/docs/getting-started)

[Release changelog](https://github.com/railwayapp/nixpacks/releases)
