---
title: Rails Starter
description: A Rails starter app using a PostgreSQL database
tags:
  - ruby
  - rails
  - postgresql
---

# Rails Starter Example

This is a [Ruby on Rails](https://rubyonrails.org/) starter app that connects to a Railway Postgres database and supports [Action Cable](https://guides.rubyonrails.org/action_cable_overview.html).

[![Deploy on Railway](https://railway.app/button.svg)](https://railway.app/new/template/sibk1f)

## ✨ Features

- Ruby
- Rails
- Postgres
- Redis

## 💁‍♀️ How to use

- [Create a Railway project with the Postgres plugin](https://railway.app/project?plugins=postgresql)
- Connect to your Railway project with `railway link`
- Install Ruby requirements `bundle install`
- Migrate the database `railway run rake db:migrate`
- Run Rails `railway run bin/rails server`

## 📝 Notes

This app was generated with the `rails new` command. Read more about Rails on
their [official website](https://rubyonrails.org/)
